Debian Bug report logs - #388231
config/postrm depends on non-essential packages (dbconfig-common, probably ucf)

version graph

Package: otrs2; Maintainer for otrs2 is Patrick Matthäi <pmatthaei@debian.org>; Source for otrs2 is src:otrs2.

Reported by: Sean Finney <seanius@debian.org>

Date: Tue, 19 Sep 2006 09:49:15 UTC

Severity: serious

Tags: fixed, patch

Found in version 2.0.4p01-14.1

Fixed in version otrs2/2.0.4p01-15

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dbconfig-common-devel@lists.alioth.debian.org, Torsten Werner <twerner@debian.org>:
Bug#388231; Package otrs2. Full text and rfc822 format available.

Acknowledgement sent to Sean Finney <seanius@debian.org>:
New Bug report received and forwarded. Copy sent to dbconfig-common-devel@lists.alioth.debian.org, Torsten Werner <twerner@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sean Finney <seanius@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: config/postrm depends on non-essential packages (dbconfig-common, probably ucf)
Date: Tue, 19 Sep 2006 11:44:42 +0200
Package: otrs2
Severity: serious
Justification: 7.2

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

hi there,

it was recently brought to my attention that the recommended method
for using dbconfig-common in a package's config and postrm scripts was not
policy compliant as hinted in the subject of this bugreport.  the problem
is that in both the config and the postrm you should test whether the
files/programs in question exist before sourcing/executing them.  more
information is in a link below.

NOTE that this is slightly different from the original posts about
mass-bug filing in which only the postrm was mentioned, but the
config file is too.  so, even if you've fixed your package after i
initially posted about this, you might want to take a second look
to make sure.

this mass bug-filing was announced 2006/08/19, though it seems
there's a problem with the list archives for debian-devel.  fortunately,
i cc'd the dbconfig list:

http://lists.alioth.debian.org/pipermail/dbconfig-common-devel/2006-August/000586.html

and information for how you can fix your package:

http://people.debian.org/~seanius/policy/dbconfig-common.html/ch-develguide.html#s-hooks

fortunately, the fix is pretty simple, though i apologize for
the inconvenience.  feel free to ask if you have any questions.


	sean

- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-amd64-k8
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFD7wKynjLPm522B0RAuFyAJ9obZiwSWNkffYeqmBZPGLhcLp8XQCeMIzV
N+2T6zatrIwmfckW/0OPzMk=
=wBFw
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Werner <twerner@debian.org>:
Bug#388231; Package otrs2. Full text and rfc822 format available.

Acknowledgement sent to alejandro.rios@avatar.com.co:
Extra info received and forwarded to list. Copy sent to Torsten Werner <twerner@debian.org>. Full text and rfc822 format available.

Message #10 received at 388231@bugs.debian.org (full text, mbox):

From: Alejandro Ríos "P." <alejandro.rios@avatar.com.co>
To: 388231@bugs.debian.org
Subject: patch
Date: Sun, 24 Sep 2006 21:45:22 -0500
[Message part 1 (text/plain, inline)]
Patch for last svn trunk, using the same postrm rationale, based on [1].

[1]http://people.debian.org/~seanius/policy/dbconfig-common.html/ch-develguide.html#s-hooks

Regards,

-- 
Alejandro Ríos Peña
 
[config-bug388231-patch.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Alejandro Ríos "P." <alejandro.rios@avatar.com.co> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from sesse@debian.org (Steinar H. Gunderson) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to "Steinar H. Gunderson" <sesse@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sean Finney <seanius@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 388231-done@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sesse@debian.org>
To: 388231-done@bugs.debian.org
Subject: Re: Fixed in NMU of otrs2 2.0.4p01-14.1
Date: Tue, 26 Sep 2006 22:03:40 +0200
Version: 2.0.4p01-14.1

I've NMUed for this bug (fixing the bug to use versioning instead of the
"fixed" tag, to ease tracking through testing); here's the changelog:

>  otrs2 (2.0.4p01-14.1) unstable; urgency=medium
>  .
>    * Non-maintainer upload.
>    * Check for dbconfig-common existence in the config maintainer script before
>      trying to use it; patch from Alejandro Ríos Peña. (Closes: #388231)

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Bug reopened, originator not changed. Request was from "Torsten Werner" <twerner@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2.0.4p01-14.1. Request was from "Torsten Werner" <twerner@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sean Finney <seanius@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 388231-close@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 388231-close@bugs.debian.org
Subject: Bug#388231: fixed in otrs2 2.0.4p01-15
Date: Thu, 05 Oct 2006 09:02:07 -0700
Source: otrs2
Source-Version: 2.0.4p01-15

We believe that the bug you reported is fixed in the latest version of
otrs2, which is due to be installed in the Debian FTP archive:

otrs2_2.0.4p01-15.diff.gz
  to pool/main/o/otrs2/otrs2_2.0.4p01-15.diff.gz
otrs2_2.0.4p01-15.dsc
  to pool/main/o/otrs2/otrs2_2.0.4p01-15.dsc
otrs2_2.0.4p01-15_all.deb
  to pool/main/o/otrs2/otrs2_2.0.4p01-15_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388231@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Werner <twerner@debian.org> (supplier of updated otrs2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  5 Oct 2006 17:52:37 +0200
Source: otrs2
Binary: otrs2
Architecture: source all
Version: 2.0.4p01-15
Distribution: unstable
Urgency: medium
Maintainer: Torsten Werner <twerner@debian.org>
Changed-By: Torsten Werner <twerner@debian.org>
Description: 
 otrs2      - Open Ticket Request System
Closes: 388231
Changes: 
 otrs2 (2.0.4p01-15) unstable; urgency=medium
 .
   * Fix the last so called 'bug fix' and set urgency to medium because it is
     still RC. (Closes: #388231)
   * Fix non UTF-8 encoding of last changelog entry.
   * Add LSB comments to init script.
Files: 
 71c01a468fa2eafd30203d02db129a52 613 web optional otrs2_2.0.4p01-15.dsc
 8ba1b547a702d930c1153b70bcc18046 16942 web optional otrs2_2.0.4p01-15.diff.gz
 85c54b575e01aa7ba7623c4ee52f7b9c 1153890 web optional otrs2_2.0.4p01-15_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFJSt5fY3dicTPjsMRAv+wAJ4sF1FobEf6pzIbdCbMRX82VRvJjgCeO047
0G6meYCE5KKgJV9ADt7UYg0=
=diIZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 02:58:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:12:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.